/**Begin D:\PDM_UPGRADE\PDM1\HRIC_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRIC_INITIMPORTTPENTRY') 
 CREATE TABLE T_HRIC_INITIMPORTTPENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPARENTENTRYID BIGINT DEFAULT 0 NOT NULL,
FENTITYNAME VARCHAR(255) DEFAULT ' ' NOT NULL,
FENTITYNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FISIMPORT CHAR(1) DEFAULT ' ' NOT NULL,
FISMUSTINPUT CHAR(1) DEFAULT ' ' NOT NULL,
FENTITYDESCRIPTION VARCHAR(50) DEFAULT ' ' NOT NULL,
FIMPORTPROP VARCHAR(10) DEFAULT ' ' NOT NULL,
FISFIELD CHAR(1) DEFAULT ' ' NOT NULL,
FISBASEDATA CHAR(1) DEFAULT ' ' NOT NULL,
FISTABLEHEAD CHAR(1) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRIC_INITINDUCTTP') 
 CREATE TABLE T_HRIC_INITINDUCTTP (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT 'C' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(2) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FINDEX INT DEFAULT 0 NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FBIZSUBAREAID BIGINT DEFAULT 0 NOT NULL,
FENTITYOBJSCOPE VARCHAR(36) DEFAULT ' ' NOT NULL,
FBIZAREAID BIGINT DEFAULT 0 NOT NULL,
FINTERMEDIATETABLE VARCHAR(36) DEFAULT ' ' NOT NULL,
FUNIQUESTRING VARCHAR(1000) DEFAULT ' ' NOT NULL,
FGENERATETABLETIME DATETIME,
FIMPORTTEMPLATEID BIGINT DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HRIC_INITIMPORTTPENTRY' AND KSQL_COL_NAME ='FNUMBERALIAS')
 ALTER TABLE T_HRIC_INITIMPORTTPENTRY ADD (FNUMBERALIAS VARCHAR(50) DEFAULT ' ' NOT NULL );


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRIC_INITINDUCTTP_L') 
 CREATE TABLE T_HRIC_INITINDUCTTP_L (
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);



/**End D:\PDM_UPGRADE\PDM1\HRIC_table.sql **/
